/*
Theme Name: OceanWP Child
Theme URI: https://oceanwp.org/
Description: OceanWP WordPress theme example child theme.
Author: Nick
Author URI: https://oceanwp.org/
Template: oceanwp
Version: 1.0
*/

/* Parent stylesheet should be loaded from functions.php not using @import */

/* FONTS */
@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-BoldItalic.eot');
    src: url('OpenSans-BoldItalic.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-BoldItalic.woff2') format('woff2'),
        url('OpenSans-BoldItalic.woff') format('woff'),
        url('OpenSans-BoldItalic.ttf') format('truetype');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-ExtraBold.eot');
    src: url('OpenSans-ExtraBold.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-ExtraBold.woff2') format('woff2'),
        url('OpenSans-ExtraBold.woff') format('woff'),
        url('OpenSans-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-Bold.eot');
    src: url('OpenSans-Bold.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-Bold.woff2') format('woff2'),
        url('OpenSans-Bold.woff') format('woff'),
        url('OpenSans-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-Italic.eot');
    src: url('OpenSans-Italic.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-Italic.woff2') format('woff2'),
        url('OpenSans-Italic.woff') format('woff'),
        url('OpenSans-Italic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-ExtraBoldItalic.eot');
    src: url('OpenSans-ExtraBoldItalic.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-ExtraBoldItalic.woff2') format('woff2'),
        url('OpenSans-ExtraBoldItalic.woff') format('woff'),
        url('OpenSans-ExtraBoldItalic.ttf') format('truetype');
    font-weight: 800;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-Light.eot');
    src: url('OpenSans-Light.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-Light.woff2') format('woff2'),
        url('OpenSans-Light.woff') format('woff'),
        url('OpenSans-Light.ttf') format('truetype');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-LightItalic.eot');
    src: url('OpenSans-LightItalic.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-LightItalic.woff2') format('woff2'),
        url('OpenSans-LightItalic.woff') format('woff'),
        url('OpenSans-LightItalic.ttf') format('truetype');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-SemiBold.eot');
    src: url('OpenSans-SemiBold.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-SemiBold.woff2') format('woff2'),
        url('OpenSans-SemiBold.woff') format('woff'),
        url('OpenSans-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-Regular.eot');
    src: url('OpenSans-Regular.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-Regular.woff2') format('woff2'),
        url('OpenSans-Regular.woff') format('woff'),
        url('OpenSans-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Open Sans';
    src: url('OpenSans-SemiBoldItalic.eot');
    src: url('OpenSans-SemiBoldItalic.eot?#iefix') format('embedded-opentype'),
        url('OpenSans-SemiBoldItalic.woff2') format('woff2'),
        url('OpenSans-SemiBoldItalic.woff') format('woff'),
        url('OpenSans-SemiBoldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-ExtraBoldItalic.eot');
    src: url('PlayfairDisplay-ExtraBoldItalic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-ExtraBoldItalic.woff2') format('woff2'),
        url('PlayfairDisplay-ExtraBoldItalic.woff') format('woff'),
        url('PlayfairDisplay-ExtraBoldItalic.ttf') format('truetype');
    font-weight: 800;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-BlackItalic.eot');
    src: url('PlayfairDisplay-BlackItalic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-BlackItalic.woff2') format('woff2'),
        url('PlayfairDisplay-BlackItalic.woff') format('woff'),
        url('PlayfairDisplay-BlackItalic.ttf') format('truetype');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-MediumItalic.eot');
    src: url('PlayfairDisplay-MediumItalic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-MediumItalic.woff2') format('woff2'),
        url('PlayfairDisplay-MediumItalic.woff') format('woff'),
        url('PlayfairDisplay-MediumItalic.ttf') format('truetype');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-BoldItalic.eot');
    src: url('PlayfairDisplay-BoldItalic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-BoldItalic.woff2') format('woff2'),
        url('PlayfairDisplay-BoldItalic.woff') format('woff'),
        url('PlayfairDisplay-BoldItalic.ttf') format('truetype');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-SemiBoldItalic.eot');
    src: url('PlayfairDisplay-SemiBoldItalic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-SemiBoldItalic.woff2') format('woff2'),
        url('PlayfairDisplay-SemiBoldItalic.woff') format('woff'),
        url('PlayfairDisplay-SemiBoldItalic.ttf') format('truetype');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-Medium.eot');
    src: url('PlayfairDisplay-Medium.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-Medium.woff2') format('woff2'),
        url('PlayfairDisplay-Medium.woff') format('woff'),
        url('PlayfairDisplay-Medium.ttf') format('truetype');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-Regular.eot');
    src: url('PlayfairDisplay-Regular.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-Regular.woff2') format('woff2'),
        url('PlayfairDisplay-Regular.woff') format('woff'),
        url('PlayfairDisplay-Regular.ttf') format('truetype');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-SemiBold.eot');
    src: url('PlayfairDisplay-SemiBold.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-SemiBold.woff2') format('woff2'),
        url('PlayfairDisplay-SemiBold.woff') format('woff'),
        url('PlayfairDisplay-SemiBold.ttf') format('truetype');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-Bold.eot');
    src: url('PlayfairDisplay-Bold.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-Bold.woff2') format('woff2'),
        url('PlayfairDisplay-Bold.woff') format('woff'),
        url('PlayfairDisplay-Bold.ttf') format('truetype');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-ExtraBold.eot');
    src: url('PlayfairDisplay-ExtraBold.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-ExtraBold.woff2') format('woff2'),
        url('PlayfairDisplay-ExtraBold.woff') format('woff'),
        url('PlayfairDisplay-ExtraBold.ttf') format('truetype');
    font-weight: 800;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-Italic.eot');
    src: url('PlayfairDisplay-Italic.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-Italic.woff2') format('woff2'),
        url('PlayfairDisplay-Italic.woff') format('woff'),
        url('PlayfairDisplay-Italic.ttf') format('truetype');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Playfair Display';
    src: url('PlayfairDisplay-Black.eot');
    src: url('PlayfairDisplay-Black.eot?#iefix') format('embedded-opentype'),
        url('PlayfairDisplay-Black.woff2') format('woff2'),
        url('PlayfairDisplay-Black.woff') format('woff'),
        url('PlayfairDisplay-Black.ttf') format('truetype');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

/* GLOBAL */
a:focus {
	outline: none !important;
}

p:last-child {
	margin-bottom: 0px !important;
}

/* LOGO */
#site-logo #site-logo-inner a img {
    height: 50px;
}

/* HEADER */
#site-header {
	transition: all 0.5s ease !important;
}

#site-header:hover {
	background: #fff !important;
	transition: all 0.5s ease !important;
}

.dropdown-menu ul li a.menu-link {
	letter-spacing: 0px !important;
}

body.post-in-category-referenzen #site-header-sticky-wrapper #site-navigation-wrap .dropdown-menu > li > a {
	color: #000;
}

body.post-in-category-referenzen #site-logo.clr.has-sticky-logo:after {
	background: url('https://webtest-kleybor.de/armagan/wp-content/uploads/2021/03/logo_black.svg');
	background-repeat: no-repeat;
	width: 150px;
	height: 50px;
	display: block;
	position: absolute;
	top: 0px;
	left: 0px;
}

body.post-in-category-referenzen .mobile-menu .hamburger-inner,
body.post-in-category-referenzen .mobile-menu .hamburger-inner::before,
body.post-in-category-referenzen .mobile-menu .hamburger-inner::after {
	background-color: #000;
}

#site-header:hover #site-navigation-wrap .dropdown-menu > li > a,
#site-header-sticky-wrapper.is-sticky #site-navigation-wrap .dropdown-menu > li > a {
	color: #000 !important;
}

.is-sticky #site-header {
	box-shadow: none !important;
}

/* MENU */
.highlight span.text-wrap {
  position: relative;
  padding: 10px 20px;
  border-radius: 0px;
    background: linear-gradient(135deg, #E97624 0%, #D23F3F 35%, #C41D51
 70%, #BF1057 100%);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    background-clip: text;
  overflow: hidden;
	font-size: 12px;
	letter-spacing: 1px;
	font-weight: 500;
}

.highlight span.text-wrap::before {
  content: "";
  position: absolute;
  inset: 0;
  padding: 1px;
  border-radius: inherit;

  background: linear-gradient(
    135deg,
    #E97624 0%,
    #D23F3F 35%,
    #C41D51 70%,
    #BF1057 100%
  );

  -webkit-mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  -webkit-mask-composite: xor;

  mask:
    linear-gradient(#fff 0 0) content-box,
    linear-gradient(#fff 0 0);
  mask-composite: exclude;

  pointer-events: none;
}

.highlight span.text-wrap:hover {
	background: #4f4f4f;
}

/* MEGA MENU */
.dropdown-menu .sub-menu {
	border-top: none;
	box-shadow: none;
}

ul.megamenu {
	background: #fafafa;
}

.navigation li a .svg {
	width: 80px;
	height: 80px;
}

.navigation li.megamenu-li.auto-mega .megamenu.col-3 {
	width: 900px !important;
}

/* TYPOGRAPHY */
.highlight h2 span,
.highlight h3 span,
.highlight h4 span {
  background-image: linear-gradient(120deg, #e97624 0%, #c31953 100%);
  background-repeat: no-repeat;
  background-size: 100% 88%;
  background-position: 0 88%;
	transition: all 0.25s ease-in;
		color: #fff;
}

.highlight h2 span:hover,
.highlight h3 span:hover,
.highlight h4 span:hover{
    background-size: 100% 5%;
	color: #000;
}

/* LIST */
.fa-circle::before {
	background: linear-gradient(120deg, #e97624 0%, #c31953 100%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.gradient-icon .fa-dot-circle::before,
.gradient-icon .fa-minus::before,
.gradient-icon .fa-file-pdf::before {
	background: linear-gradient(120deg, #e97624 0%, #c31953 100%);
	-webkit-background-clip: text;
	-webkit-text-fill-color: transparent;
}

.pulse-shadow {
	background: linear-gradient(120deg, #e97624 0%, #c31953 100%);
	color: #fff;
	border-radius: 100%;
	height: 100px !important;
	width: 100px !important;
    display: inline;
    margin: 0 auto;
    font-size: 55px;
    box-shadow: 0px 0px 20px rgba(205, 51, 69, 1);
	animation: pulse-ani 2s infinite;
	transition: all 1s ease-in-out;
}

.pulse-shadow .elementor-icon {
	width: 100px;
	height: 100px;
	display: table-cell;
	vertical-align: middle;
}

.pulse-shadow .elementor-icon i {
	text-align: center;
	margin: 0 auto;
}

.pulse-shadow:hover {
	background-position: 100px;
	border-radius: 0px;
}

@keyframes pulse-ani {
  0% {
    -moz-box-shadow: 0 0 0 0 rgba(205,51,69, 0.4);
    box-shadow: 0 0 0 0 rgba(205,51,69, 0.4);
  }
  70% {
      -moz-box-shadow: 0 0 0 10px rgba(205,51,69, 0);
      box-shadow: 0 0 0 10px rgba(205,51,69, 0);
  }
  100% {
      -moz-box-shadow: 0 0 0 0 rgba(205,51,69, 0);
      box-shadow: 0 0 0 0 rgba(205,51,69, 0);
  }
}

/* TEST */
svg#LOGO path.draw {
	stroke-dasharray: 100;
	stroke-width: 2;
	animation: dashdraw 4s linear infinite;
	fill: rgba(255,255,255,0.05);
}

 @keyframes dashdraw {
	 to {
		 stroke-dashoffset: 200;
	 }
}

/* MOBILE MENU */
#mobile-fullscreen ul li a img {
	width: 35px;
	height: 35px;
}

.fs-dropdown-menu:before {
	content: '';
	display: block;
	width: 100%;
	background: url("https://armagan-maler.de/wp-content/uploads/2021/03/logo_white.svg");
	background-size: 150px 50px;
	background-position: center center;
	background-repeat: no-repeat;
	margin-bottom: 50px;
	height: 50px;
	animation: mobilemenu 1s ease-in-out;
	animation-fill-mode: forwards;
}

#mobile-fullscreen li.highlight a {
	background: #c6234e;
	padding: 3px 5px;
	border-radius: 3px;
	color: #fff;
	font-size: 15px;
	box-shadow: 0px 0px 10px rgba(198, 35, 78, 1);
	transition: all 0.5s ease;
	font-weight: bold;
}

.hamburger-inner,
.hamburger-inner::before,
.hamburger-inner::after {
	height: 1px !important;
	width: 25px !important;
}

#mobile-fullscreen a.close .close-icon-inner,
#mobile-fullscreen a.close .close-icon-inner::after {
	width: 30px !important;
	height: 1px !important;
}

.hamburger-box {
	width: 30px !important;
	height: 20px !important;
}

#mobile-fullscreen li.highlight {
	  width: 250px !important;
	  margin: 0 auto !important;
}

#mobile-fullscreen a,
#mobile-fullscreen .dropdown-toggle,
.oceanwp-mobile-menu-icon a {
	outline: none !important;
}

@keyframes mobilemenu {
  0% {
	  opacity: 0;
	  -webkit-opacity: 0;
	  transform: translateX(-50px);
	}
  100% {
	  opacity: 1;
	  -webkit-opacity: 1;
	  transform: translateX(0px);
	}
}

#mobile-fullscreen-inner li.menu-item {
	animation: mobilemenu 1s ease-in-out;
	animation-fill-mode: forwards;
	opacity: 0;
}

#mobile-fullscreen-inner li.menu-item:nth-child(1) { animation-delay: .1s }
#mobile-fullscreen-inner li.menu-item:nth-child(2) { animation-delay: .2s }
#mobile-fullscreen-inner li.menu-item:nth-child(3) { animation-delay: .3s }
#mobile-fullscreen-inner li.menu-item:nth-child(4) { animation-delay: .4s }
#mobile-fullscreen-inner li.menu-item:nth-child(5) { animation-delay: .5s }
#mobile-fullscreen-inner li.menu-item:nth-child(6) { animation-delay: .6s }
#mobile-fullscreen-inner li.menu-item:nth-child(7) { animation-delay: .7s }
#mobile-fullscreen-inner li.menu-item:nth-child(8) { animation-delay: .8s }
#mobile-fullscreen-inner li.menu-item:nth-child(9) { animation-delay: .9s }

/* MOBILE */
@media only screen and (max-width: 600px) {
  #mobile-fullscreen li.highlight {
	  width: 250px !important;
	  margin: 0 auto !important;
  }
}

/* ICONS */
.ee-icon-support--svg svg {
	height: 1em !important;
	fill: #fff;
}

/* TO TOP */
#scroll-top {
	border-radius: 0px;
}